export function dayOfWeek(year: any, month: any, day: any): number;
export function isoWeekdayToLocal(isoWeekday: any, startOfWeek: any): number;
/**
 * @private
 */
export function gregorianToWeek(gregObj: any, minDaysInFirstWeek?: number, startOfWeek?: number): any;
export function weekToGregorian(weekData: any, minDaysInFirstWeek?: number, startOfWeek?: number): any;
export function gregorianToOrdinal(gregData: any): any;
export function ordinalToGregorian(ordinalData: any): any;
/**
 * Check if local week units like localWeekday are used in obj.
 * If so, validates that they are not mixed with ISO week units and then copies them to the normal week unit properties.
 * Modifies obj in-place!
 * @param obj the object values
 */
export function usesLocalWeekValues(obj: any, loc: any): {
    minDaysInFirstWeek: any;
    startOfWeek: any;
};
export function hasInvalidWeekData(obj: any, minDaysInFirstWeek?: number, startOfWeek?: number): false | Invalid;
export function hasInvalidOrdinalData(obj: any): false | Invalid;
export function hasInvalidGregorianData(obj: any): false | Invalid;
export function hasInvalidTimeData(obj: any): false | Invalid;
import Invalid from "./invalid.js";
